<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AlumnosBitacoraController extends Controller
{
    public function index()
   {
    $usuario = auth()->user();

    if ($usuario->tipoUsuario !== 'AL') {
        return response()->json(['error' => 'No autorizado'], 403);
    }

    $bitacoras = DB::table('bitacoras_colegioabc')
        ->where('idAlumnoBitacora', $usuario->idUsuario)
        ->where('estado', 'Activo')
        ->orderBy('fechaPublicacion', 'desc')
        ->get();

    return response()->json($bitacoras);
}

public function getByUser($id)
    {
        $id = base64_decode($id);
        $bitacora = DB::table('bitacoras_colegioabc')->where('idAlumnoBitacora', $id)->get();
        return response()->json($bitacora, 200);
    }
     public function findOne($id)
    {
        $id = base64_decode($id);
        $usuario = DB::table('usuarios')
            ->where('idUsuario', $id)
            ->select(
                DB::raw("CONCAT(COALESCE(primerNombre, ''), ' ', COALESCE(segundoNombre, ''), ' ', COALESCE(apellidoPaterno, ''), ' ', COALESCE(apellidoMaterno, '')) AS nombreUsuario"),
                'idUsuario',
                'grado'
            )
            ->get();
        return response()->json($usuario, 200);
    }
}
